Mailinglist Archive: opensuse-security-announce (90 mails)

< Previous Next >
[security-announce] openSUSE-SU-2019:1910-1: important: Security update for subversion
openSUSE Security Update: Security update for subversion
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:1910-1
Rating: important
References: #1142721 #1142743
Cross-References: CVE-2018-11782 CVE-2019-0203
Affected Products:
openSUSE Leap 15.1
openSUSE Leap 15.0
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update for subversion to version 1.10.6 fixes the following issues:

Security issues fixed:

- CVE-2018-11782: Fixed a remote denial of service in svnserve
'get-deleted-rev' (bsc#1142743).
- CVE-2019-0203: Fixed a remote, unauthenticated denial of service in
svnserve (bsc#1142721).

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.1:

zypper in -t patch openSUSE-2019-1910=1

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2019-1910=1



Package List:

- openSUSE Leap 15.1 (i586 x86_64):

libsvn_auth_gnome_keyring-1-0-1.10.6-lp151.4.3.1
libsvn_auth_gnome_keyring-1-0-debuginfo-1.10.6-lp151.4.3.1
libsvn_auth_kwallet-1-0-1.10.6-lp151.4.3.1
libsvn_auth_kwallet-1-0-debuginfo-1.10.6-lp151.4.3.1
subversion-1.10.6-lp151.4.3.1
subversion-debuginfo-1.10.6-lp151.4.3.1
subversion-debugsource-1.10.6-lp151.4.3.1
subversion-devel-1.10.6-lp151.4.3.1
subversion-perl-1.10.6-lp151.4.3.1
subversion-perl-debuginfo-1.10.6-lp151.4.3.1
subversion-python-1.10.6-lp151.4.3.1
subversion-python-ctypes-1.10.6-lp151.4.3.1
subversion-python-debuginfo-1.10.6-lp151.4.3.1
subversion-ruby-1.10.6-lp151.4.3.1
subversion-ruby-debuginfo-1.10.6-lp151.4.3.1
subversion-server-1.10.6-lp151.4.3.1
subversion-server-debuginfo-1.10.6-lp151.4.3.1
subversion-tools-1.10.6-lp151.4.3.1
subversion-tools-debuginfo-1.10.6-lp151.4.3.1

- openSUSE Leap 15.1 (noarch):

subversion-bash-completion-1.10.6-lp151.4.3.1

- openSUSE Leap 15.0 (i586 x86_64):

libsvn_auth_gnome_keyring-1-0-1.10.6-lp150.7.1
libsvn_auth_gnome_keyring-1-0-debuginfo-1.10.6-lp150.7.1
libsvn_auth_kwallet-1-0-1.10.6-lp150.7.1
libsvn_auth_kwallet-1-0-debuginfo-1.10.6-lp150.7.1
subversion-1.10.6-lp150.7.1
subversion-debuginfo-1.10.6-lp150.7.1
subversion-debugsource-1.10.6-lp150.7.1
subversion-devel-1.10.6-lp150.7.1
subversion-perl-1.10.6-lp150.7.1
subversion-perl-debuginfo-1.10.6-lp150.7.1
subversion-python-1.10.6-lp150.7.1
subversion-python-ctypes-1.10.6-lp150.7.1
subversion-python-debuginfo-1.10.6-lp150.7.1
subversion-ruby-1.10.6-lp150.7.1
subversion-ruby-debuginfo-1.10.6-lp150.7.1
subversion-server-1.10.6-lp150.7.1
subversion-server-debuginfo-1.10.6-lp150.7.1
subversion-tools-1.10.6-lp150.7.1
subversion-tools-debuginfo-1.10.6-lp150.7.1

- openSUSE Leap 15.0 (noarch):

subversion-bash-completion-1.10.6-lp150.7.1


References:

https://www.suse.com/security/cve/CVE-2018-11782.html
https://www.suse.com/security/cve/CVE-2019-0203.html
https://bugzilla.suse.com/1142721
https://bugzilla.suse.com/1142743

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages